curl https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6 \
-H "Authorization: Bearer sess_..."
{
"success": true,
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "my-discord-bot",
"language": "nodejs",
"status": "online",
"memory": 256,
"vcpu": 0.5,
"startup_command": "node index.js",
"environment": { "TOKEN": "***", "PREFIX": "***" },
"subdomain": "my-discord-bot",
"created_at": "2025-01-01T00:00:00Z"
}
}
{
"success": false,
"error": "Bot not found"
}
Bots
Get Bot
Returns a single bot by ID. Only returns bots owned by the authenticated user.
GET
/
bots
/
{id}
curl https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6 \
-H "Authorization: Bearer sess_..."
{
"success": true,
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "my-discord-bot",
"language": "nodejs",
"status": "online",
"memory": 256,
"vcpu": 0.5,
"startup_command": "node index.js",
"environment": { "TOKEN": "***", "PREFIX": "***" },
"subdomain": "my-discord-bot",
"created_at": "2025-01-01T00:00:00Z"
}
}
{
"success": false,
"error": "Bot not found"
}
Path Parameters
string
required
UUID of the bot.
Response
object
curl https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6 \
-H "Authorization: Bearer sess_..."
{
"success": true,
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "my-discord-bot",
"language": "nodejs",
"status": "online",
"memory": 256,
"vcpu": 0.5,
"startup_command": "node index.js",
"environment": { "TOKEN": "***", "PREFIX": "***" },
"subdomain": "my-discord-bot",
"created_at": "2025-01-01T00:00:00Z"
}
}
{
"success": false,
"error": "Bot not found"
}
⌘I

